Skip to main content
GET
/
api
/
v1
/
plans
/
{planId}
/
entitlements
JavaScript
import Stigg from '@stigg/typescript';

const client = new Stigg({
  apiKey: process.env['STIGG_API_KEY'], // This is the default and can be omitted
});

const entitlements = await client.v1.plans.entitlements.list('planId');

console.log(entitlements.data);
{
  "data": [
    {
      "id": "feature-advanced-analytics",
      "description": "Access to advanced analytics",
      "isGranted": true,
      "isCustom": false,
      "order": 0,
      "behavior": "Increment",
      "hiddenFromWidgets": [],
      "displayNameOverride": null,
      "createdAt": "2026-01-12T21:13:27.879Z",
      "updatedAt": "2026-08-22T05:14:41.339Z",
      "type": "FEATURE",
      "usageLimit": 100,
      "hasUnlimitedUsage": false,
      "hasSoftLimit": false,
      "resetPeriod": null,
      "resetPeriodConfiguration": null,
      "enumValues": null
    }
  ],
  "pagination": {
    "next": "c9b0a382-5b7d-4d32-9f62-8c4e1a7b3d9f",
    "prev": "a1d4e8f2-6c3b-4a9e-b5f7-2d8c9e0f1a3b"
  }
}

Authorizations

X-API-KEY
string
header
required

Server API Key

Path Parameters

planId
string
required

The plan ID

Required string length: 1 - 255
Pattern: ^[a-zA-Z0-9][a-zA-Z0-9_|.-]*$

Response

A list of plan entitlement objects.

Response list object

data
(FeatureEntitlementResponse · object | CreditEntitlementResponse · object)[]
required

Feature entitlement response

pagination
object
required

Pagination metadata including cursors for navigating through results